[csw-devel] SF.net SVN: gar:[16694] csw/mgar/pkg/samba/trunk

dmichelsen at users.sourceforge.net dmichelsen at users.sourceforge.net
Thu Jan 5 15:03:30 CET 2012


Revision: 16694
          http://gar.svn.sourceforge.net/gar/?rev=16694&view=rev
Author:   dmichelsen
Date:     2012-01-05 14:03:30 +0000 (Thu, 05 Jan 2012)
Log Message:
-----------
samba/trunk: Split off start script for winbind

Modified Paths:
--------------
    csw/mgar/pkg/samba/trunk/Makefile
    csw/mgar/pkg/samba/trunk/files/cswsamba

Added Paths:
-----------
    csw/mgar/pkg/samba/trunk/files/cswwinbind

Modified: csw/mgar/pkg/samba/trunk/Makefile
===================================================================
--- csw/mgar/pkg/samba/trunk/Makefile	2012-01-05 13:59:02 UTC (rev 16693)
+++ csw/mgar/pkg/samba/trunk/Makefile	2012-01-05 14:03:30 UTC (rev 16694)
@@ -14,7 +14,9 @@
 MASTER_SITES = http://samba.org/samba/ftp/stable/
 DISTFILES  = $(NAME)-$(VERSION).tar.gz
 DISTFILES += cswsamba
+DISTFILES += cswwinbind
 EXPANDVARS += cswsamba
+EXPANDVARS += cswwinbind
 EXPANDVARS += smb.conf
 
 # From http://www.reallylinux.com/docs/smb.conf
@@ -254,6 +256,7 @@
 PKGFILES_CSWsamba-winbind += $(mandir)/man8/pam_winbind\.8
 PKGFILES_CSWsamba-winbind += $(call baseisadirs,$(sbindir),winbindd)
 PKGFILES_CSWsamba-winbind += $(mandir)/man8/winbindd\.8
+PKGFILES_CSWsamba-winbind += /etc/opt/csw/init.d/cswwinbind
 RUNTIME_DEP_PKGS_CSWsamba-winbind += CSWlibpopt0
 RUNTIME_DEP_PKGS_CSWsamba-winbind += CSWlibiconv2
 RUNTIME_DEP_PKGS_CSWsamba-winbind += CSWlibz1
@@ -287,9 +290,12 @@
 CONFIGURE_ARGS += $(DIRPATHS)
 CONFIGURE_ARGS += --enable-socket-wrapper
 CONFIGURE_ARGS += --enable-nss-wrapper
+CONFIGURE_ARGS += --with-acl-support
+CONFIGURE_ARGS += --with-aio-support
+CONFIGURE_ARGS += --with-pam
+# CONFIGURE_ARGS += --with-krb5=$(prefix)
 CONFIGURE_ARGS += --with-privatedir=$(SMBPRIVATEDIR)
 CONFIGURE_ARGS += --with-configdir=$(SMBCONFIGDIR)
-
 CONFIGURE_ARGS += --with-lockdir=$(SMBLOCKDIR)
 CONFIGURE_ARGS += --with-statedir=$(SMBLOCKDIR)
 CONFIGURE_ARGS += --with-cachedir=$(SMBLOCKDIR)
@@ -311,9 +317,10 @@
 INSTALL_SCRIPTS = $(WORKSRC)/source3/Makefile
 
 INITSMF += /etc/opt/csw/init.d/cswsamba
+INITSMF += /etc/opt/csw/init.d/cswwinbind
 
 MIGRATE_FILES_CSWsamba += samba
-PRESERVECONF_CSWsamba += $(sysconfdir)/samba/smb.conf
+PRESERVECONF += $(sysconfdir)/samba/smb.conf
 
 include gar/category.mk
 

Modified: csw/mgar/pkg/samba/trunk/files/cswsamba
===================================================================
--- csw/mgar/pkg/samba/trunk/files/cswsamba	2012-01-05 13:59:02 UTC (rev 16693)
+++ csw/mgar/pkg/samba/trunk/files/cswsamba	2012-01-05 14:03:30 UTC (rev 16694)
@@ -4,14 +4,12 @@
 #RC_SNUM 89         # Number used for start script symlink, e.g. S80cswfoo
 #RC_KLEV 0,1,2,S    # Run levels that should have a kill script symlink
 #RC_SLEV 3          # Run levels that should have a start script symlink
+#AUTOENABLE no      # Before running always manual adjustment of smb.conf is needed
 
 PATH=/bin:/sbin:/usr/bin:/usr/sbin
 export PATH
 
 SMBCONF=@sysconfdir@/samba/smb.conf
-KRBCONF=@sysconfdir@/krb5.conf
-export SMBCONF
-export KRBCONF
 
 case "$1" in
 	start)
@@ -19,10 +17,6 @@
 			echo "Starting samba..."
 			@sbindir@/nmbd -D
 			@sbindir@/smbd -D
-			if [ -f $KRBCONF ]; then
-			    echo "Starting winbind..."
-			    @sbindir@/winbindd -B
-			fi    
 		else
 			echo "No $SMBCONF found. Not starting";
 		fi
@@ -31,9 +25,6 @@
 		echo "Stopping Samba..."
 		kill "`cat @SMBLOCKDIR@/smbd.pid`"
 		kill "`cat @SMBLOCKDIR@/nmbd.pid`"
-		if [ -f $KRBCONF ]; then
-		    echo "Stopping Winbind..."
-		fi    
 	;;
 	restart)
 		$0 stop

Copied: csw/mgar/pkg/samba/trunk/files/cswwinbind (from rev 16675, csw/mgar/pkg/samba/trunk/files/cswsamba)
===================================================================
--- csw/mgar/pkg/samba/trunk/files/cswwinbind	                        (rev 0)
+++ csw/mgar/pkg/samba/trunk/files/cswwinbind	2012-01-05 14:03:30 UTC (rev 16694)
@@ -0,0 +1,36 @@
+#!/bin/sh
+
+#RC_KNUM 03         # Number used for kill script symlink, e.g. K20cswfoo
+#RC_SNUM 89         # Number used for start script symlink, e.g. S80cswfoo
+#RC_KLEV 0,1,2,S    # Run levels that should have a kill script symlink
+#RC_SLEV 3          # Run levels that should have a start script symlink
+#AUTOENABLE no      # Before running always manual adjustment of smb.conf is needed
+
+PATH=/bin:/sbin:/usr/bin:/usr/sbin
+export PATH
+
+SMBCONF=@sysconfdir@/samba/smb.conf
+
+case "$1" in
+	start)
+		if [ -f $SMBCONF ]; then
+			echo "Starting winbind..."
+			@sbindir@/winbindd -D
+		else
+			echo "No $SMBCONF found. Not starting";
+		fi
+	;;
+	stop)
+		echo "Stopping Winbind..."
+		pkill winbindd
+	;;
+	restart)
+		$0 stop
+		$0 start
+	;;
+	*)
+		echo "$0 {start | stop | restart}"
+		exit 1;
+	;;
+esac
+

This was sent by the SourceForge.net collaborative development platform, the world's largest Open Source development site.



More information about the devel mailing list